List Event Domains
curl --request GET \
--url https://api.hightouch.com/api/v1/events/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/events/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/events/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/events/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/events/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/events/domains")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/events/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"workspaceId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"eventSources": [
{
"name": "<string>",
"id": "<string>"
}
],
"slug": "<string>",
"description": "<string>",
"onUndeclaredSchema": "ALLOW_EVENT",
"schemaVersionPath": [
"<string>"
],
"events": [
{
"schema": {},
"type": "track",
"onUndeclaredFields": "ALLOW_EVENT",
"onSchemaViolation": "ALLOW_EVENT",
"version": "<string>",
"slug": "<string>",
"name": "<string>"
}
],
"components": [
{
"name": "<string>",
"schema": {},
"id": "<string>",
"slug": "<string>",
"version": "<string>",
"description": "<string>",
"imports": [
"<string>"
]
}
]
}
]
}{
"message": "Validation failed",
"details": {}
}API Reference
List Event Domains
List all event domains in the current workspace.
Optional query source: filter to domains linked to that event source
(slug). When set, returned components are also filtered to those
applicable to the source.
GET
/
events
/
domains
List Event Domains
curl --request GET \
--url https://api.hightouch.com/api/v1/events/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/events/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/events/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/events/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/events/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/events/domains")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/events/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"workspaceId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"eventSources": [
{
"name": "<string>",
"id": "<string>"
}
],
"slug": "<string>",
"description": "<string>",
"onUndeclaredSchema": "ALLOW_EVENT",
"schemaVersionPath": [
"<string>"
],
"events": [
{
"schema": {},
"type": "track",
"onUndeclaredFields": "ALLOW_EVENT",
"onSchemaViolation": "ALLOW_EVENT",
"version": "<string>",
"slug": "<string>",
"name": "<string>"
}
],
"components": [
{
"name": "<string>",
"schema": {},
"id": "<string>",
"slug": "<string>",
"version": "<string>",
"description": "<string>",
"imports": [
"<string>"
]
}
]
}
]
}{
"message": "Validation failed",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
filter to domains (and components) for this event source slug
set the offset on results (for pagination)
limit the number of objects returned (default is 100)
specify the order
Available options:
id, name, createdAt, updatedAt Response
Ok
Show child attributes
Show child attributes
Was this page helpful?